(jQuery)(function () {
	
	fix_testimonial();
	fix_sliders();
	fix_tag_list();
	fix_slideshow_element();
	fix_placeholder();
	fix_menu_toggle();
	fix_back_to_top_button();
	fix_login_button_active();
	
	function fix_testimonial() {
		var parent = (jQuery)('.testimonials-slide .view-content');
		var wrapper = (jQuery)('<div class="flexslider">').append(parent.html());
		parent.html(getWholeElementHTML(wrapper));
	}
	
	function fix_tag_list() {
		var parent = (jQuery)('.tag-in-tags .view-content');
		var wrapper = (jQuery)('<div class="item-list">');
		var inner_wrapper = (jQuery)('<ul>');
		parent.children().each(function (i, e) {
			var self = (jQuery)(this);
			inner_wrapper.append('<li>' + self.html() + '</li>');
		});
		wrapper.html(getWholeElementHTML(inner_wrapper));
		parent.html(getWholeElementHTML(wrapper));
	}
	
	function fix_sliders() {
		/*
		(jQuery)('.flexslider').flexslider({
			selector: '.slides >.views-row',
			animateDuration: 3,
			animationLoop: true,
			animation: "fade",
			slideshow: true,
			slideshowSpeed: 2000,
			direction: "Horizontal",
			pauseOnHover: true,
			controlNav: true,
			startAt: 0
		});
		*/
		(jQuery)('.slideshow').flexslider({
			animation: 'slide',
			selector: '.view-content > .views-row',
			controlNav: false
		});
		(jQuery)('.testimonials-slide').flexslider({
			animation: 'slide',
			selector: '.flexslider .views-row',
			controlNav: true,
			directionNav: false
		});
		(jQuery)('.ads-slide-list').flexslider({
			animation: 'slide',
			selector: '.view-content > .views-row',
			controlNav: false
		});
		(jQuery)('.portfolio-galleries').flexslider({
			animation: 'slide',
			selector: '.list-items .item',
			controlNav: true
		});
	}
	
	function fix_slideshow_element() {
		(jQuery)('.slideshow .view-content .views-row').each(function (i, e) {
			var self = (jQuery)(this);
			var slide = self.find('.views-field-field-slideshow');
			var title = self.find('.views-field-title');
			var body = self.find('.views-field-body');
			var wrapper = (jQuery)('<div class="views-content-inner"></div>');
			
			wrapper.append(getWholeElementHTML(title)).append(getWholeElementHTML(body));
			self.empty();
			self.append(slide);
			self.append(wrapper);
		});
	}
	
	function getWholeElementHTML(element) {
		return (jQuery)('<div>').append(element.clone()).html();
	}
	
	function fix_placeholder() {
		var contact_form = (jQuery)('.contact-form');
		contact_form.find('#edit-name').attr('placeholder', 'Your name');
		contact_form.find('#edit-mail').attr('placeholder', 'Your email address');
	}
	
	function fix_menu_toggle() {
		(jQuery)('#menu-toggle').click(function () {
			var page = (jQuery)(this).parents('#page');
			if (page.hasClass('toggled')) {
				page.find('.search-block-form').removeClass('hover');
			}
		});
	}
	
	function fix_back_to_top_button() {
		var body = (jQuery)('body');
		//var button = (jQuery)('<a href="#" style="position: fixed; bottom: 100px; right: 100px; background-color: red; width: 40px; height: 40px;">Back To Top</a>');
		var button = (jQuery)('<a href="#"></a>');
		button.addClass('back-to-top');
		button.hide();
		button.click(function() {
			(jQuery)('body,html').stop().animate({ scrollTop: 0 }, 600);
			return false;
		});
		body.append(button);
		(jQuery)(window).scroll(function () {
			var offsetY = (jQuery)(document).scrollTop();
			if (offsetY > 200) {
				button.show();
			} else {
				button.hide();
			}
		});
	}
	
	function fix_login_button_active() {
		var url = window.location.href;
		if (url.indexOf('/user/login') > 0 || url.indexOf('/user/register') > 0) {
			(jQuery)('.tabs ul li').each(function () {
				var self = (jQuery)(this);
				if (self.hasClass('is-active')) {
					self.find('a').addClass('is-active');
				}
			});
		}
	}
});